# Windows NT config file.  DNEWS.CONF
# ----------------THINGS YOU MUST CHANGE ----------------------------------
# The main up-stream server that DNEWS should get groups from
nntp_feeder	your.feeder.ohio.edu

# If your reverse name server doesn't work, then un comment this
# next line and put numbers into access.conf instead of names.
# You MUST remove this if you want access.conf to work
# on NAMES instead of NUMBERS.
nodns true

# the IP name of your own machine, e.g. mypc.here.com Use a number if 
# your don't have a working DNS system.
myname		my.ipname.ohio.edu

# Total diskspace available, in MEGABYTES, recommended 10-600 for 
# dynamic, 2000-8000 for full feed
diskspace 100

# Person to email log files and control messages etc to.
manager you@this.domain

# Send email confirms for any message successfully sent up stream from a post.
# put your domain in here.  You might want to change this to  *my.domain
# Be careful with this option!!!, (e.g. don't put *)
confirm *@this.domain,*@*second.domain


# If dnews is not running on the C drive, then you MUST change the section
# lower down which defines all the DNEWS disk and directories.

# --------------OPTIONAL THINGS TO CHANGE BELOW HERE -----------------------
# Speed up response to small tcp requests, this speeds
# up some news readers like NewsXpress but it also adds
# load to your network and machine so I wouldn't do it 
# on large news servers.
# tcp_nodelay true

# Refuse news articles with a 'date' more than this old, this is just to avoid
# accepting news from a restored news disk.
too_old 135

# Suck using streaming mechanism, this is fast
suck_stream true

# Send daily reports, default is 'yes'
# report no

# Logging and debug settings, error,warn,info,debug
# debug item:group:feed:chan:  Selective debugging output Default is all
loglvl info
# Rotate the log files every 50000 lines
debug_rotate 50000

# Number of days to keep fetching a group when no one is reading it
life 15

# expire_at mins hours 
#
# this example would only do updates at night
# update_at *5 17-7
# 
# Update every 10 minutes and do one expire at 2 in the morning
# update_at *5 *
# Update twice an hour, should be heaps.
update_at 20,40 *

# Expire once a day at 2:12 a.m.
expire_at 12 2

# Apply expire rules so that cross posted items will be
# deleted from all groups if the item should be deleted
# from any group (this stops people using cross posts
# to prevent binary items from expiring)
expire_any true

# Get any new groups once per day at 1:45
groups_at 45 1

# The DISK DIRECTORIES we will use, everything except this file.
# which MUST be stored as %systemroot%/system32/dnews.conf
config		c:/dnews
logdir 		c:/dnews
workarea	c:/dnews/spool
history 	c:/dnews/spool
spool		c:/dnews/spool


# If less than 'n' megabytes are free on any partition/volume/disk then
# news will stop  sucking and accepting feeds, posts still work.
workarea_min	5
# for a full feed increase history_min to about 50
history_min	5
spool_min	5

# Limit the number of items it will fetch in one
# chunk from each news group, 100 items or 5MB
suck_batchn 100
suck_batchsize 5000000
suck_requeue true

# Limit the speed of incoming feeds, this stops a 
# really fast ihave or suck feed from briefly over loading
# the server (and or your internet link)
# max_speed 30000

# Cache groups and keep them cached if the group is read
# using 'xover' this could possibly cause problems if 
# a robot scanned all the groups using the xover command
# but this is unlikely.
cache_onxover true

# Record one line for each local post in 'post.rec' file
post_rec true
# Do forward dns lookup on access.conf entries which don't
# contain wild cards and grant IHAVE access (security feature)
access_forward true